Page MenuHomePhabricator

Rename FullTextQueryStringQueryBuilder.php to let phpunit run it
Closed, ResolvedPublic

Description

The CirrusSearch extensions has a file FullTextQueryStringQueryBuilder.php in tests/phpunit/Query which does not end with *Test.php and that means, phpunit will not run the tests in that file.

I would suggest to rename the classes.

Event Timeline

Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptMar 18 2018, 6:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
EBjune triaged this task as Normal priority.Mar 29 2018, 5:26 PM
EBjune moved this task from needs triage to Up Next on the Discovery-Search board.

Change 459586 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/CirrusSearch@master] Query builder test was not running

https://gerrit.wikimedia.org/r/459586

Change 459586 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Query builder test was not running

https://gerrit.wikimedia.org/r/459586

Umherirrender closed this task as Resolved.Sep 10 2018, 7:44 PM